petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatColoringSetFromOptions

Sets MatColoring options from user parameters

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringSetFromOptions(MatColoring mc)

Collective on MatColoring Many br

### Input Parameters

mc -MatColoring context Many br

### Options Database Keys

| -mat_coloring_type | - the type of coloring algorithm used Many br
| -mat_coloring_maxcolors | - the maximum number of relevant colors, all nodes not in a color are in maxcolors+1 Many br
| -mat_coloring_distance | - compute a distance 1,2,... coloring. Many br
| -mat_coloring_view | - print information about the coloring and the produced index sets Many br

Many br

### Keywords

Coloring, Matrix

### See Also

MatColoring, MatColoringApply()

Level:beginner
Location:src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex16.c.html